Jump to content

Community

Ryan H.

Advanced Tags & Prefixes - IPS 4.x

Recommended Posts

On 4/25/2018 at 2:57 AM, Jujuwar said:

I don’t see any issue at this time. 

Thanks Jujuwar!

^ That's as much confirmation as you're going to get for the moment. Just got back from a conference.

Share this post


Link to post
Share on other sites

I'm having the same issue that @rcoid and @ZrMz_x9 had. 

If you could help me with the fix as well, I would be ever so grateful! ❤️ This was the first app I thought of when I went to start up my new IP Board, and I really can't wait to get it working the way it was intended again. :3

Share this post


Link to post
Share on other sites

Hello,
I would like to use the default prefixes in the club, unfortunately there is an error.

Any help?

278609629_Zrzutekranu2018-05-10o08_58_53.thumb.png.f240857bdd187e33aa2085618cfa14e1.png

 

472496069_Zrzutekranu2018-05-10o08_18_39.thumb.png.7a7377992dc738d4862b7d1beccecfd1.png

On the forum, everything works only in clubs is a mistake

Edited by hege

Share this post


Link to post
Share on other sites

So... I went to upgrade my board with the app installed without the fix but just disabled and now I have this lovely message and cannot complete my upgrade...

@Ryan H. help? XD 

1940F173-2CA4-45F9-B335-278B55347CD4.png

Share this post


Link to post
Share on other sites

Your best bet is to try it and see if it works ans report here. Thats my plan at least. The app has been poorly supported for a while, which is a shame as it is one of the more expensive ones on the marketplace. At least there are no renewal fees. 

Share this post


Link to post
Share on other sites

@Ryan H., I had to get IP Board to remove the app and force the upgrade to make my board functional again. Just letting you (and anyone else reading this) know so that you're aware that, at present, it is not compatible with 4.3.2 :) 

I really, really enjoyed this application on my 4.2.x board, so I'm hoping the functionality gets addressed and I can use it again. It is a great app, it just needs an update for the new board. And I know you're busy, this isn't a push or any sort of negative commentary on the application or your customer service from me (as I've previously had no issues with your customer service so, I'm not going to say anything negative about that). I just wanted to make the community aware so that, in the meantime until you get the compatibility issues resolved, it is best for anyone using this app to not upgrade until compatibility is restored. I'd hate to see boards broken and people getting angry while you're working behind the scenes.

For anyone looking at this product, when it's compatible, it's great. Developers work behind the scenes to fix their applications and usually don't go public about their work until it is either completed or they have an estimate on how long it will take. So just because there's no immediate response to the inquiries and comments doesn't mean he's not diligently working to fix it. Just means he's not talking about it yet. So keep your eye out for the update because when he does update it, it will be great again. :) Until then we just have to be patient.

Share this post


Link to post
Share on other sites
On 5/11/2018 at 5:23 AM, David.. said:

This doesn’t support 4.3.2?

Is that a question or a statement? I'm not aware of any compatibility issues with 4.3.2. If there are definite issues, certainly bring them up, I don't know about them unless they're raised.

On 5/10/2018 at 3:09 AM, hege said:

Hello,
I would like to use the default prefixes in the club, unfortunately there is an error.

Any help?

472496069_Zrzutekranu2018-05-10o08_18_39.thumb.png.7a7377992dc738d4862b7d1beccecfd1.png

On the forum, everything works only in clubs is a mistake

Are you sure that error is related to AT&P? The SQL query that is failing does not appear to have any connection. Maybe there's some side effect causing the duplicate key though. Does saving that club work fine with AT&P disabled, and throw the error with it enabled?

On 5/10/2018 at 7:19 PM, Lilythe said:

So... I went to upgrade my board with the app installed without the fix but just disabled and now I have this lovely message and cannot complete my upgrade...

@Ryan H. help? XD 

1940F173-2CA4-45F9-B335-278B55347CD4.png

I don't know what to make of that error. I'm assuming you didn't just upgrade the app from IPB 3.x? There hasn't been any "topic_prefixes" table as long as 4.x has been around, that I can remember, and that's what it's looking for. If you're saying you ran the IPB upgrade after an earlier failed app install, your system probably broke because it was starting from an invalid state--I'm not sure why it let you upgrade in the first place if it was just going to break. That's not strictly a 4.3 compatibility problem. Semantics though.

On 5/11/2018 at 1:28 PM, Lilythe said:

I had to get IP Board to remove the app and force the upgrade to make my board functional again. Just letting you (and anyone else reading this) know so that you're aware that, at present, it is not compatible with 4.3.2 ?

I appreciate the words -- respectfully, I don't know what part is 'not compatible'. I upgraded to 4.3.1 a couple weeks ago, and then to 4.3.2 just now, I haven't seen any obvious issues.

I do still need to publish the installation fix that affects some people (MySQL 5.7 I think), that's on me.

Share this post


Link to post
Share on other sites
8 hours ago, Ryan H. said:

Is that a question or a statement? I'm not aware of any compatibility issues with 4.3.2. If there are definite issues, certainly bring them up, I don't know about them unless they're raised.

This does support 4.3. ?

Share this post


Link to post
Share on other sites
14 hours ago, Ryan H. said:

I don't know what to make of that error. I'm assuming you didn't just upgrade the app from IPB 3.x? There hasn't been any "topic_prefixes" table as long as 4.x has been around, that I can remember, and that's what it's looking for. If you're saying you ran the IPB upgrade after an earlier failed app install, your system probably broke because it was starting from an invalid state--I'm not sure why it let you upgrade in the first place if it was just going to break. That's not strictly a 4.3 compatibility problem. Semantics though.

I appreciate the words -- respectfully, I don't know what part is 'not compatible'. I upgraded to 4.3.1 a couple weeks ago, and then to 4.3.2 just now, I haven't seen any obvious issues.

I do still need to publish the installation fix that affects some people (MySQL 5.7 I think), that's on me.

@Ryan H. I've literally only had a 4.3 board on this go around. I'd had my new board less than 48 hours when it had happened. My previous board where I used this app was a 4.2.x so even if I had an old copy it was the 4.2 version. However, for this installation, I had downloaded your most recent file on the marketplace. And the whole time it hasn't worked, unfortunately. I got the same bug that @rcoid and @ZrMz_x9 had when I installed it initially. Which, I saw that  you replied to them you sent a PM with a different install package? So maybe I needed that fix you sent them before I upgraded. That definitely could be a thing. I can see that screwing with databases and functionality for sure.

Anywho, I left it installed and just disabled it, figuring you'd get to me when you had time (I know how this works and that you developers have lives ? ). And that's what broke the board when I upgraded. So maybe not completely incompatible, but whatever version I downloaded definitely wasn't working with the database. If you haven't had that execution command in there for a while, then maybe an old file accidentally got uploaded into your market store on accident? Not sure. But I promise, this isn't an old board upgrade issue. This is just what happened when I used the current market download file and tried to upgrade the board for the most recent bug patch upgrade.

You've got a great product, and I really want to use it. I'm just keeping you informed on what I saw on my end. I'm not a programmer (my only coding skills are HTML and CSS, and I won't pretend otherwise), but I have known a lot of them, and I know they all like to have as much information as possible if bugs are noticed in their program because it helps track down the part of the code that isn't functioning correctly. So I just wanted to give you everything I had, and hope it helps :3

Share this post


Link to post
Share on other sites

@Ryan H. Can confirm it was installing the version without the fix (or whatever version I managed to get if I had an old version as you suspect given the execution command in there) and then upgrading is what caused the issue.

Version with the fix 100% Compatible ❤️ 

Thank you :3

Share this post


Link to post
Share on other sites

This plugin seems to be adding some additional tag&prefix settings for blogs, which I'm trying to use.

I want to override the "Minimum Tags Allowed" of a group blog in its "Blog Settings" (AdminCP).  I removed the check from the "Default" option, and put the value "1", for example, in the input field.  However, after saving and going again to the settings page, the value I set disappeared, and the "Default" option is checked again.

So, it seems there is a bug preventing the changes made from being persisted.

Share this post


Link to post
Share on other sites
6 hours ago, Lilythe said:

@Ryan H. Can confirm it was installing the version without the fix (or whatever version I managed to get if I had an old version as you suspect given the execution command in there) and then upgrading is what caused the issue.

Glad to hear that. Thanks for the update.

4 hours ago, ptprog said:

This plugin seems to be adding some additional tag&prefix settings for blogs, which I'm trying to use.

I want to override the "Minimum Tags Allowed" of a group blog in its "Blog Settings" (AdminCP).  I removed the check from the "Default" option, and put the value "1", for example, in the input field.  However, after saving and going again to the settings page, the value I set disappeared, and the "Default" option is checked again.

So, it seems there is a bug preventing the changes made from being persisted.

The app adds a selection of settings to all Node content types that should work in general, if everything's done the normal way. Unfortunately I'm not sure there is a 'normal way', I suspect every single app and content type is different in one way or another. All that to say: I don't have Blogs, so unless you can provide me site and file access I'm afraid I won't be able to help much.

If you do want me to take a look, and you're self-hosted, feel free to PM me creds, send as a https://privnote.com link.

Share this post


Link to post
Share on other sites
On 5/16/2018 at 3:44 AM, Ryan H. said:
On 5/10/2018 at 9:09 AM, hege said:

Hello,
I would like to use the default prefixes in the club, unfortunately there is an error.

Any help?

472496069_Zrzutekranu2018-05-10o08_18_39.thumb.png.7a7377992dc738d4862b7d1beccecfd1.png

On the forum, everything works only in clubs is a mistake

Are you sure that error is related to AT&P? The SQL query that is failing does not appear to have any connection. Maybe there's some side effect causing the duplicate key though. Does saving that club work fine with AT&P disabled, and throw the error with it enabled?

The error only occurs when I follow the club.
If no one is following the club then it is all good.

Share this post


Link to post
Share on other sites
5 hours ago, hege said:

The error only occurs when I follow the club.
If no one is following the club then it is all good.

I don't think that's related to AT&P then, unless it only fails when the app is enabled.

Share this post


Link to post
Share on other sites

I can not change anything at AT & P when I follow the club's main page.
If someone follows the club's main page, you can not change anything in AT & P.
The application is great. Thank you. However, when someone starts watching the club, I can not change anything

 

Share this post


Link to post
Share on other sites
On 5/18/2018 at 3:39 PM, hege said:

I can not change anything at AT & P when I follow the club's main page.
If someone follows the club's main page, you can not change anything in AT & P.
The application is great. Thank you. However, when someone starts watching the club, I can not change anything

If you disable the AT&P app, does the error still occur if you follow the club then save it in admin?

Edited by Ryan H.

Share this post


Link to post
Share on other sites

I have things locked down to where if you post in that forum category as a member the default prefix for that category is automatically applied for a normal forum post and that's been working well.

I've noticed when I've set a category in Pages to also post the article to a forum when the article itself is created, the prefix won't appear on the topic.

It's like Pages is bypassing that/this application and no amount of configuration on the Pages category itself (Tage & Prefixes) tab yields any different result. I'm on 4.3.1 if that helps.

Edited by jmw253

Share this post


Link to post
Share on other sites

it would be nice to have a tag de-dupe option - i had a forum that got consolidated and before i move contents from one forum i tag them after consolidating some posts will have duplicate tags.

 

Share this post


Link to post
Share on other sites
7 hours ago, jmw253 said:

I have things locked down to where if you post in that forum category as a member the default prefix for that category is automatically applied for a normal forum post and that's been working well.

I've noticed when I've set a category in Pages to also post the article to a forum when the article itself is created, the prefix won't appear on the topic.

It's like Pages is bypassing that/this application and no amount of configuration on the Pages category itself (Tage & Prefixes) tab yields any different result. I'm on 4.3.1 if that helps.

Yes, topics auto-created by apps like that won't respect settings that manually-created topics would. You might be able to make something work with the Rules app (but I can't promise that).

6 hours ago, Ocean West said:

it would be nice to have a tag de-dupe option - i had a forum that got consolidated and before i move contents from one forum i tag them after consolidating some posts will have duplicate tags.

I'll keep that in mind, thanks.

Share this post


Link to post
Share on other sites

Hello! I'm trying to upgrade the version on my 4.3.2 site, and I'm getting an error about applications/advancedtagsprefixes not being writeable. That folder is 755, and as far as I can tell, all the folders underneath that are as well. What should the permissions be to successfully perform an upgrade?

Share this post


Link to post
Share on other sites

  • Recently Browsing   0 members

    No registered users viewing this page.

×
×
  • Create New...